%global momorel 1
%global commit 45b670b9f69c96758bb3f3e92ed8d3b4e150a58c
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global bashcompdir %(pkg-config --variable=completionsdir bash-completion)

Name:           the_silver_searcher
Version:        0.27.0
Release: %{momorel}m%{?dist}
Summary:        Super-fast text searching tool (ag)
Group:          Applications/Text
License:        ASL 2.0 and BSD
URL:            http://github.com/ggreer/the_silver_searcher/
Source:         http://github.com/ggreer/the_silver_searcher/archive/%{commit}/%{version}-%{shortcommit}.tar.gz
NoSource: 0

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pcre-devel
BuildRequires:  bash-completion
BuildRequires:  xz-devel
BuildRequires:  zlib-devel

%description
The Silver Searcher is a code searching tool similar to ack,
with a focus on speed.

%prep
%setup -q -n %{name}-%{commit}

%build
aclocal
autoconf
autoheader
automake --add-missing
%configure --disable-silent-rules
%make 

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{bashcompdir}
install -pm 0644 ag.bashcomp.sh %{buildroot}%{bashcompdir}/ag
rm -rf %{buildroot}%{_datadir}/%{name}

%files
%{_bindir}/ag
%{_mandir}/man1/ag.1*
%(dirname %{bashcompdir})
%doc README.md LICENSE

%changelog
* Sat Feb 14 2015 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.27.0-1m)
- import from fedora

